JDATE(1)

NAME
jdate - manual page for jdate

SYNOPSIS
jdate [arRuhV]... [+OUTPUT_FORMAT][d INPUT_FORMAT;DATE_STRING]

DESCRIPTION
Display the current date and time in the given FORMAT.

-d, --date=FORMAT;STRING
    display time described by STRING, not `now'

-a, --access=FILE
    display the last access time of FILE.

-r, --reference=FILE
    display the last modification time of FILE.

-j, --jalali=%Y/%m/%d
    converts a gregorian date to jalali.

-g, --gregorian=%Y/%m/%d
    converts a jalali date to gregorian.

-R, --rfc-2822
    output date and time in RFC 2822 format. Example: Jom, 06 Khor 1390 13:44:56 -0430.

-u, --utc, --universal
    print Coordinated Universal Time.

-h, --help
    display this help and exit.

-V, --version
    output version information and exit.

FORMAT controls the output.
    Interpreted sequences are:

%%  a literal %

%a  abbreviated weekday name (e.g., Sun)

%A  full weekday name (e.g., Sunday)

%b  abbreviated month name (e.g., Khor)

%B  full month name (e.g., Khordad)

%c  date and time (e.g., Jome Kho 6 17:18:25 1390)

%C  century; like %Y, except omit last two digits (e.g., 13)

%d  day of month (e.g., 01)

%D  date; same as %Y/%m/%d

%e  day of month, space padded; same as %_d

%E  date and time in Farsi. (utf8)

%F  full date; same as %Y-%m-%d

%h  abbreviated Farsi weekday name in English transliteration (e.g. Jom)

%q  full Farsi weekday name in English transliteration (e.g. Jomeh)

%g  abbreviated Farsi weekday name. (utf8)

%G  full Farsi weekday name. (utf8)

%v  abbreviated Farsi month name. (utf8)

%V  full Farsi month name. (utf8)

%H  hour (00..23)

%I  hour (01..12)

%j  day of year (001..366)

%k  hour (0..23)

%l  hour (1..12)

%m  month (01..12)

%M  minute (00..59)

%n  a newline

%O  AM or PM notation for time in Farsi. (utf8)

%p  either AM or PM; blank if not known

%P  like %p, but lower case

%r  12-hour clock time (e.g., 17:24:04 PM)

%R  24-hour hour and minute; same as %H:%M

%s  seconds since 1970-01-01 00:00:00 UTC

%S  second (00..59)

%t  a tab

%T  time; same as %H:%M:%S

%u  day of week (1..7); 1 is Saturday

%U  week number of year, with Saturday as first day of week (00..53)

%w  day of week (0..6); 0 is Saturday

%W  date representation in Farsi. (utf8)

%x  date representation (e.g., 06/03/90)

%X  time representation in Farsi. (utf8)

%y  last two digits of year (00..99)

%Y  year

%z  +hhmm numeric time zone (e.g., +0330)

%Z  alphabetic time zone abbreviation (e.g., IRST)

EXAMPLES

jdate -uR
    formats current UTC date and time in RFC2822 format.

jdate '+%Y-%m-%d %H:%M:%S'
    formats current local date and time in the above format. e.g. 1390-03-06 21:12:17

jdate --access=foo.bar
    displays last access time for file foo.bar

jdate '+%s' --date='%Y/%m/%d-%H:%M:%S;1390/03/06-21:14:17'
    displays seconds since epoch (UTC) for local date specified by date string.

AUTHOR
Written by Ashkan Ghassemi. <ghassemi@ftml.net>

REPORTING BUGS
Report jdate bugs to <ghassemi@ftml.net> libjalali home page: <http://savannah.nongnu.org/projects/jcal/>

SEE ALSO
jcal(1), jctime(3), jstrftime(3), jstrptime(3)

COPYRIGHT
Copyright (C) 2011 Ashkan Ghassemi. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.